import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class QiDaoContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    qiDaoAnchorVault({ address, network }: ContractOpts): import("./ethers").QiDaoAnchorVault;
    qiDaoEscrowedQi({ address, network }: ContractOpts): import("./ethers").QiDaoEscrowedQi;
    qiDaoMasterChef({ address, network }: ContractOpts): import("./ethers").QiDaoMasterChef;
    qiDaoMasterChefV3({ address, network }: ContractOpts): import("./ethers").QiDaoMasterChefV3;
    qiDaoVaultInfo({ address, network }: ContractOpts): import("./ethers").QiDaoVaultInfo;
    qiDaoVaultNft({ address, network }: ContractOpts): import("./ethers").QiDaoVaultNft;
    qiDaoWrappedToken({ address, network }: ContractOpts): import("./ethers").QiDaoWrappedToken;
    qiDaoYieldToken({ address, network }: ContractOpts): import("./ethers").QiDaoYieldToken;
}
export type { QiDaoAnchorVault } from './ethers';
export type { QiDaoEscrowedQi } from './ethers';
export type { QiDaoMasterChef } from './ethers';
export type { QiDaoMasterChefV3 } from './ethers';
export type { QiDaoVaultInfo } from './ethers';
export type { QiDaoVaultNft } from './ethers';
export type { QiDaoWrappedToken } from './ethers';
export type { QiDaoYieldToken } from './ethers';
